BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define grname		excalibur
%define usname		component-examples

Name:		excalibur-component-examples
Version:	2.1
Release:	alt1_2jpp1.7
Epoch:		0
Summary:	Excalibur's Excalibur-Component-Manager-Examples component
License:	Apache Software License 2.0
Url:		http://excalibur.apache.org/
Group:		Development/Java
Source0:	http://www.apache.org/dist/excalibur/excalibur-component-examples/source/excalibur-component-examples-2.1-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        excalibur-component-examples-2.1-jpp-depmap.xml
Source6:        excalibur-buildsystem.tar.gz
Source7:        excalibur-deprecated-project-common.xml
Patch0:         excalibur-component-examples-2.1-project_xml.patch
BuildRequires: maven-plugins >= 0:1.1
BuildRequires: junit
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: saxon
BuildRequires: saxon-scripts
BuildRequires: jakarta-commons-collections
BuildRequires: concurrent
BuildRequires: excalibur-avalon-framework-api
BuildRequires: excalibur-avalon-framework-impl
BuildRequires: excalibur-avalon-logkit
BuildRequires: excalibur-component
BuildRequires: excalibur-instrument-api
BuildRequires: excalibur-instrument-mgr-api
BuildRequires: excalibur-instrument-mgr-impl
BuildRequires: excalibur-logger
BuildRequires: excalibur-pool-api
BuildRequires: excalibur-pool-impl
BuildRequires: servletapi4

Requires: jakarta-commons-collections
Requires: concurrent
Requires: excalibur-avalon-framework-api
Requires: excalibur-avalon-framework-impl
Requires: excalibur-avalon-logkit
Requires: excalibur-component
Requires: excalibur-instrument-api
Requires: excalibur-instrument-mgr-api
Requires: excalibur-instrument-mgr-impl
Requires: excalibur-logger
Requires: excalibur-pool-api
Requires: excalibur-pool-impl
Requires: servletapi4
BuildArch:	noarch

%description
Excalibur's Excalibur-Component-Manager-Examples component

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
gzip -dc %{SOURCE6} | tar xf -
mkdir deprecated
cp %{SOURCE7} deprecated/project-common.xml

%patch0 -b .sav

%build
export DEPCAT=$(pwd)/excalibur-component-examples-2.1-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > excalibur-component-examples-2.1-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

#rm -rf .maven/repository/JPP/jars
#mkdir -p .maven/repository/JPP/jars
#build-jar-repository -s -p .maven/repository/JPP/jars \
#commons-collections \
#concurrent \
#excalibur/avalon-framework-api \
#excalibur/avalon-framework-impl \
#excalibur/avalon-logkit \
#excalibur/excalibur-component \
#excalibur/excalibur-instrument-api \
#excalibur/excalibur-instrument-mgr-api \
#excalibur/excalibur-instrument-mgr-impl \
#excalibur/excalibur-logger \
#excalibur/excalibur-pool-api \
#excalibur/excalibur-pool-impl \
#servletapi4 \


export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.repo.remote=file:/usr/share/maven/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar javadoc


%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{grname}
install -m 644 \
target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{grname}/%{name}-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{grname} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files 
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{grname}/*.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Fri Jul 20 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.1-alt1_2jpp1.7
- converted from JPackage by jppimport script

